Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.web
Class WebServerInvoker

    java.lang.Object
      org.jboss.remoting.AbstractInvoker
          org.jboss.remoting.ServerInvoker
              org.jboss.remoting.transport.web.WebServerInvoker

All Implemented Interfaces:
  Invoker, ServerInvokerMBean

Direct Known Subclasses:
  CoyoteInvoker, HTTPServerInvoker, ServletServerInvoker

    public abstract class WebServerInvoker

extends ServerInvoker

Author:
  Tom Elrod

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.remoting.ServerInvoker
`ServerInvoker.InvalidStateException`

Nested classes/interfaces inherited from class org.jboss.remoting.AbstractInvoker
`AbstractInvoker.CallbackLocatorHolder`

Field Summary
`static java.lang.String` | `HEADER_SESSION_ID`
`static java.lang.String` | `HEADER_SUBSYSTEM`

Fields inherited from class org.jboss.remoting.ServerInvoker
`BLOCKING, BLOCKING_MODE, BLOCKING_TIMEOUT, callbackHandlers, CLIENT_CONNECT_ADDRESS_KEY, CLIENT_CONNECT_PORT_KEY, CLIENT_LEASE_PERIOD, clientCallbackListener, connectionNotifier, DEFAULT_BLOCKING_TIMEOUT, DEFAULT_CLIENT_LEASE_PERIOD, DEFAULT_TIMEOUT_PERIOD, handlers, INVOKER_SESSION_ID, MAX_NUM_ONEWAY_THREADS, MAX_NUM_ONEWAY_THREADS_KEY, MAX_ONEWAY_THREAD_POOL_QUEUE_SIZE, NONBLOCKING, ONEWAY_THREAD_POOL_CLASS_KEY, REGISTER_CALLBACK_LISTENER, registerCallbackListeners, SERVER_BIND_ADDRESS_KEY, SERVER_BIND_PORT_KEY, SERVER_SOCKET_FACTORY, serverSocketFactory, singleCallbackContainer, singleHandler, started, TIMEOUT`

Fields inherited from class org.jboss.remoting.AbstractInvoker
`classbyteloader, configuration, localServerLocators, locator, serializationType, socketFactory, socketFactoryCreatedFromSSLParameters`

Constructor Summary
`WebServerInvoker(InvokerLocator locator)`
`WebServerInvoker(InvokerLocator locator, java.util.Map configuration)`

Method Summary
`protected InvocationRequest` | `createNewInvocationRequest(java.util.Map metadata, java.lang.Object payload)`
`protected int` | `getContentLength(java.lang.Object response)` Will write out the object to byte array and check size of byte array.
`protected java.lang.String` | `getDefaultDataType()`
`protected InvocationRequest` | `getInvocationRequest(java.util.Map metadata, java.lang.Object obj)`
`Marshaller` | `getMarshaller()`
`protected java.lang.String` | `getSessionId(java.util.Map metadata)`
`UnMarshaller` | `getUnMarshaller()`
`boolean` | `isTransportBiDirectional()` returns true if the transport is bi-directional in nature, for example, HTTP in unidirectional and SOCKETs are bi-directional (unless behind a firewall for example).

Methods inherited from class org.jboss.remoting.ServerInvoker
`addConnectionListener, addInvocationHandler, assignPort, create, createServerSocketFactory, destroy, getClientConnectAddress, getClientConnectPort, getConfiguration, getDataType, getDefaultServerSocketFactory, getInvocationHandler, getInvocationHandlers, getLease, getLeasePeriod, getMaxNumberOfOnewayThreads, getMBeanObjectName, getMBeanServer, getOnewayThreadPool, getServerBindAddress, getServerBindPort, getServerSocketFactory, getSupportedSubsystems, getTimeout, handleInternalInvocation, hasInvocationHandler, invoke, invoke, isLeaseActivated, isRegisterCallbackListeners, isStarted, justNeedsSSLClientMode, postProcess, preProcess, removeCallbackListener, removeConnectionListener, removeInvocationHandler, setClientConnectAddress, setClientConnectPort, setConfiguration, setLeasePeriod, setMaxNumberOfOnewayThreads, setMBeanServer, setOnewayThreadPool, setRegisterCallbackListeners, setServerSocketFactory, setTimeout, setup, start, stop, wrapServerSocketFactory`

Methods inherited from class org.jboss.remoting.AbstractInvoker
`addClientLocator, createSocketFactory, getClassLoader, getClientLocator, getClientLocators, getLocator, getSerializationType, getSocketFactory, isCompleteSocketFactory, isSocketFactoryCreatedFromSSLParameters, needsCustomSSLConfiguration, setClassLoader, setSerializationType, setSocketFactory, wrapSocketFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HEADER_SESSION_ID

    public static java.lang.String HEADER_SESSION_ID

### HEADER_SUBSYSTEM

    public static java.lang.String HEADER_SUBSYSTEM

Constructor Detail

### WebServerInvoker

    public WebServerInvoker(InvokerLocator locator)

### WebServerInvoker

    public WebServerInvoker(InvokerLocator locator,
                            java.util.Map configuration)

Method Detail

### isTransportBiDirectional

    public boolean isTransportBiDirectional()

  returns true if the transport is bi-directional in nature, for example, HTTP in unidirectional and SOCKETs are bi-directional (unless behind a firewall for example).

  Returns:
    false (HTTP is unidirrectional)

### getDefaultDataType

    protected java.lang.String getDefaultDataType()

  Specified by:
    `getDefaultDataType` in class `ServerInvoker`

### getInvocationRequest

    protected InvocationRequest getInvocationRequest(java.util.Map metadata,
                                                     java.lang.Object obj)

### getUnMarshaller

    public UnMarshaller getUnMarshaller()

### getMarshaller

    public Marshaller getMarshaller()

### createNewInvocationRequest

    protected InvocationRequest createNewInvocationRequest(java.util.Map metadata,
                                                           java.lang.Object payload)

### getSessionId

    protected java.lang.String getSessionId(java.util.Map metadata)

### getContentLength

    protected int getContentLength(java.lang.Object response)
                            throws java.io.IOException

  Will write out the object to byte array and check size of byte array. This is VERY expensive, but need for the content length.

  Parameters:
    `response` -
  Returns:
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.